/*
  mergemod.c
  
  This file is part of mergemem by Philipp Richter & Philipp Reisner

  mergemem is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
  
  mergemem is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with mergemem; see the file COPYING.  If not, write to
  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

*/
/* #define RED_HAT_KERNEL 1 */


#if(K_VERSION!=2)
#error "Only 2.x.x Kernels supported"
#endif

#if defined(K_ARCH_alpha) && defined(RED_HAT_KERNEL)
#define READ_TYPE long
#define READ_COUNT_TYPE unsigned long
#else
#define READ_TYPE int
#define READ_COUNT_TYPE int
#endif

#if(K_PATCHLEVEL==0)
#include "mergemod_20.c"
#endif


#if(K_PATCHLEVEL==1 || K_PATCHLEVEL==2)
#include "mergemod_22.c"
#endif





